{"openapi":"3.0.1","info":{"title":"Jaskier API","version":"1.2.25"},"servers":[{"url":"https://api.jaskier.uw.edu.pl"}],"paths":{"/api/v1/principal/person/profile":{"get":{"tags":["PersonPrincipal"],"summary":"Dane profilu aktualnie zalogowanej osoby.","operationId":"principalProfile","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfilePrincipalResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["PersonPrincipal"],"summary":"Aktualizacja danych profilu zalogowanej osoby.","operationId":"updatePrincipalProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfilePrincipalRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfilePrincipalResponse"}}}}},"security":[{"Authorization":[]}]},"post":{"tags":["PersonPrincipal"],"summary":"Dodawanie profilu dla zalogowanej osoby","operationId":"addPrincipalProfile","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfilePrincipalResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/UniversityInfo/{id}/ApplicationRequirements":{"get":{"tags":["UniversityInfo"],"summary":"Czytanie wymagań aplikacji dla uniwersytetu","operationId":"getApplicationRequirements","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["UniversityInfo"],"summary":"Ustawianie wymagań aplikacji dla uniwersytetu","operationId":"setApplicationRequirements","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"articleId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["UniversityInfo"],"summary":"Usuwanie wymagań aplikacji dla uniwersytetu","operationId":"removeApplicationRequirements","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Tutorial/{tutorialId}":{"get":{"tags":["Tutorial"],"summary":"Czytanie informacji o tutorialu z podanym id","operationId":"getTutorialById","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TutorialResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Tutorial"],"summary":"Aktualizacja tutorialu","operationId":"updateTutorial","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TutorialRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TutorialResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Tutorial"],"summary":"Usuwanie tutorialu z powiązannymi relacjami","operationId":"removeTutorial","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Tutorial/{tutorialId}/Abstract":{"get":{"tags":["Tutorial"],"summary":"Lista abstraktów dla danego tutorialu","operationId":"getTutorialAbstracts","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AbstractResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Tutorial"],"summary":"Dodawanie abstraktu do tutorialu","operationId":"addTutorialAbstract","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbstractRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AbstractResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/SystemRole/{roleCode}":{"put":{"tags":["SystemRole"],"summary":"Aktualizacja roli systemowej","operationId":"updateSystemRole","parameters":[{"name":"roleCode","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSystemRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SystemRoleResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["SystemRole"],"summary":"Usunięcie roli systemowej","operationId":"removeSystemRole","parameters":[{"name":"roleCode","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{organizationId}/Report":{"put":{"tags":["StudentOrganization"],"operationId":"upsertReportsForStudentOrganization","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationReportRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationReportResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{organizationId}/Link":{"get":{"tags":["StudentOrganization"],"operationId":"getOrganizationLinks","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationLinkResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"updateOrganizationLinks","parameters":[{"name":"organizationId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationLinkRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationLinkResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}":{"get":{"tags":["StudentOrganization"],"operationId":"getStudentOrganizationById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudentOrganizationResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"updateStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudentOrganizationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StudentOrganizationResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["StudentOrganization"],"operationId":"deleteStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/Unit":{"get":{"tags":["StudentOrganization"],"operationId":"getUnitsForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationUnitResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertUnitsForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationUnitRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationUnitResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/Supervisor":{"get":{"tags":["StudentOrganization"],"operationId":"getSupervisorsForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationSupervisorResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertSupervisorsForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationSupervisorRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationSupervisorResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/Status":{"get":{"tags":["StudentOrganization"],"operationId":"getStatusesForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationStatusResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertStatusesForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationStatusRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationStatusResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/Name":{"get":{"tags":["StudentOrganization"],"operationId":"getNamesForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationNameResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertNamesForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationNameRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationNameResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/Founder":{"get":{"tags":["StudentOrganization"],"operationId":"getFoundersForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationFounderResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertFoundersForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationFounderRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationFounderResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/BoardMember":{"get":{"tags":["StudentOrganization"],"operationId":"getBoardMembersForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationBoardMemberResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertBoardMembersForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationBoardMemberRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationBoardMemberResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/StudentOrganization/{id}/Activity":{"get":{"tags":["StudentOrganization"],"operationId":"getActivitiesForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationActivityResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["StudentOrganization"],"operationId":"upsertActivitiesForStudentOrganization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationActivityRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentOrganizationActivityResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/Tutorial/{tutorialId}":{"get":{"tags":["TutorialSp4eu"],"summary":"Czytanie informacji o tutorialu z podanym id","operationId":"getTutorialByIdForSp4eu","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}},{"name":"isPublished","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Sp4euTutorialResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["TutorialSp4eu"],"summary":"Aktualizacja tutorialu","operationId":"updateSp4euTutorial","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TutorialRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Sp4euTutorialResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["TutorialSp4eu"],"summary":"Usuwanie tutorialu z powiązannymi relacjami","operationId":"removeSp4euTutorial","parameters":[{"name":"tutorialId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/MobilityOptionHome/ApplicationProcedure":{"get":{"tags":["MobilityOptionHome"],"operationId":"getMobilityOptionApplicationProcedure","parameters":[{"name":"university","in":"query","required":true,"schema":{"type":"string","enum":["CUNI","UAH","SU","KU","UNIMI","UW","UNIGE","PARIS_2"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["MobilityOptionHome"],"summary":"Ustawianie procedury aplikacji dla uniwersytetu","operationId":"updateMobilityOptionApplicationProcedure","parameters":[{"name":"university","in":"query","required":true,"schema":{"type":"string","enum":["CUNI","UAH","SU","KU","UNIMI","UW","UNIGE","PARIS_2"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/MobilityOption/{id}":{"get":{"tags":["MobilityOptionSp4eu"],"summary":"Czytanie informacji o opcji mobilności po id","operationId":"findMobilityOptionById4eu","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MobilityOptionResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["MobilityOptionSp4eu"],"summary":"Aktualizacja opcji mobilności","operationId":"updateMobilityOption","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityOptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MobilityOptionResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["MobilityOptionSp4eu"],"summary":"Usuwanie opcji mobilności","operationId":"removeMobilityOption","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/MobilityOption/{id}/HostApplicationProcedure":{"get":{"tags":["MobilityOptionSp4eu"],"summary":"Czytanie procedury aplikacji dla opcji mobilności po id","operationId":"getHostApplicationProcedure4eu","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["MobilityOptionSp4eu"],"summary":"Ustawianie procedury aplikacji","operationId":"updateHostApplicationProcedure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArticleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["MobilityOptionSp4eu"],"summary":"Usuwanie procedury aplikacji dla opcji mobilności po id","operationId":"removeHostApplicationProcedure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/Course/{courseId}":{"get":{"tags":["CourseSp4eu"],"summary":"Czytanie kursu z podanym id","operationId":"getCourse4euById","parameters":[{"name":"courseId","in":"path","required":true,"schema":{"type":"string"}},{"name":"isPublished","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CourseSp4euResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["CourseSp4eu"],"summary":"Aktualizacja kursu","operationId":"updateCourse","parameters":[{"name":"courseId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CourseSp4euResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/Course/{courseId}/RegistrationInfo/Assign":{"put":{"tags":["CourseSp4eu"],"summary":"Przypisywanie informacji o rejestracji. Dodaje przypisanie lub nadpisuje jeśli już istniało","operationId":"assignCourseRegistrationInfo","parameters":[{"name":"courseId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseRegistrationInfoAssignRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CourseRegistrationInfoResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/Course/{courseId}/Profile":{"get":{"tags":["CourseSp4eu"],"summary":"Lista osób (prowadzących) dla danego kursu","operationId":"getCourse4euProfiles","parameters":[{"name":"courseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CourseProfileResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["CourseSp4eu"],"summary":"Aktualizacja profili dla kursu","operationId":"updateCourseProfile","parameters":[{"name":"courseId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CourseProfileSp4euRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CourseProfileResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Sp4eu/Course/{courseId}/Abstract":{"put":{"tags":["CourseSp4eu"],"summary":"Dodawanie abstraktu do kursu","operationId":"addCourseAbstract","parameters":[{"name":"courseId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbstractRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AbstractResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/SapRole/{id}":{"get":{"tags":["SapRole"],"summary":"Czytanie roli do wniosków o uprawnienia","operationId":"getSapRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SapRoleResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["SapRole"],"summary":"Aktualizacja roli do wniosków o uprawnienia","operationId":"updateSapRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SapRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SapRoleResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["SapRole"],"summary":"Usunięcie roli do wniosków o uprawnienia","operationId":"removeSapRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/ResearchSet/{cfSetId}/Article":{"get":{"tags":["ResearchSet"],"summary":"Czytanie artykułu do zbioru aparatury","operationId":"getResearchSetArticle","parameters":[{"name":"cfSetId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ResearchSet"],"summary":"Dodawanie lub aktualizacja artykułu do zbioru aparatury","operationId":"upsertResearchSetArticle","parameters":[{"name":"cfSetId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ResearchSet/{cfSetId}/Abstract":{"get":{"tags":["ResearchSet"],"summary":"Lista abstraktów dla zbioru aparatury","operationId":"getResearchSetAbstracts","parameters":[{"name":"cfSetId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AbstractResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ResearchSet"],"summary":"Dodawanie abstraktu do zbioru aparatury","operationId":"addResearchSetAbstract","parameters":[{"name":"cfSetId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbstractRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AbstractResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Publication/{publicationId}":{"get":{"tags":["Publication"],"summary":"Czytanie publikacji z podanym id","operationId":"getPublicationById","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Publication"],"summary":"Aktualizacja publikacji","operationId":"updatePublication","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Publication/{publicationId}/Profile":{"get":{"tags":["Publication"],"summary":"Lista autorów publikacji","description":"Lista autorów publikacji\n\nFiltry:\n  * role\n    - gdy brak -> zwraca wszystkich autorów publikacje niezależnie od roli\n","operationId":"getPublicationProfile","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"string"}},{"name":"role","in":"query","required":false,"schema":{"type":"string","enum":["AUTHOR","SUPERVISOR","EDITOR","TRANSLATOR"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PublicationProfileResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Publication"],"summary":"Dodawanie profilu (autora) publikacji","operationId":"addPublicationProfile","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicationProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicationProfileResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Publication/{publicationId}/Abstract":{"get":{"tags":["Publication"],"summary":"Lista abstraktów publikacji","operationId":"getPublicationAbstracts","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AbstractResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Publication"],"summary":"Dodawanie abstraktu do publikacji","operationId":"addPublicationAbstract","parameters":[{"name":"publicationId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbstractRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AbstractResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/PublicProcurementPlanCategory/{id}":{"get":{"tags":["PublicProcurementPlanCategory"],"operationId":"getProcurementPlanCategoryById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanCategoryResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["PublicProcurementPlanCategory"],"operationId":"updateProcurementPlan","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanCategoryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanCategoryResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["PublicProcurementPlanCategory"],"operationId":"deleteProcurementPlan","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/PublicProcurementPlan/{id}":{"get":{"tags":["PublicProcurementPlan"],"operationId":"getProcurementPlanById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["PublicProcurementPlan"],"operationId":"updateProcurementPlan_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["PublicProcurementPlan"],"operationId":"deleteProcurementPlan_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/PublicProcurementPlan/Export/PublicProcurementPlansIds":{"put":{"tags":["PublicProcurementPlanMigration"],"summary":"Eksport wybranych planów zamówień publicznych do pliku xlsx.","operationId":"exportByPublicProcurementPlanIds","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicProcurementPlanExportRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"binary"}}},"x-is-file":"true"}},"security":[{"Authorization":[]}]}},"/api/v1/PublicProcurementLegalBasis/{id}":{"get":{"tags":["PublicProcurementLegalBasis"],"operationId":"getLegalBasisById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"visibleFor","in":"query","required":false,"schema":{"type":"string","enum":["DOCSENSE","FRAMEWORK_AGREEMENT","PUBLIC_PROCUREMENT_PLAN"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LegalBasisResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["PublicProcurementLegalBasis"],"operationId":"updateLegalBasis","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalBasisRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LegalBasisResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["PublicProcurementLegalBasis"],"operationId":"deleteLegalBasis","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/ProjectType/{id}":{"get":{"tags":["ProjectType"],"summary":"Czytanie typu projektu","operationId":"getProjectType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectTypeResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ProjectType"],"summary":"Aktualizacja typu projektu","operationId":"updateProjectType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectTypeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectTypeResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ProjectType"],"summary":"Usunięcie typu projektu, jeśli żadne projekt nie jest przypisany","operationId":"removeProjectType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/ProjectProgramDetailed/{id}":{"get":{"tags":["ProjectProgramDetailed"],"summary":"Czytanie programu szczegółowego projektu","operationId":"getProjectSpecificProgram","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectProgramDetailedResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ProjectProgramDetailed"],"summary":"Aktualizacja programu szczegółowego projektu","operationId":"updateProjectSpecificProgram","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectProgramDetailRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectProgramDetailedResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ProjectProgramDetailed"],"summary":"Usunięcie programu szczegółowego projektu","operationId":"removeProjectSpecificProgram","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/ProjectProgram/{id}":{"get":{"tags":["ProjectProgram"],"summary":"Czytanie programu projektu","operationId":"getProjectProgram","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectProgramResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ProjectProgram"],"summary":"Aktualizacja programu projektu","operationId":"updateProjectProgram","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectProgramRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectProgramResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ProjectProgram"],"summary":"Usunięcie programu projektu","operationId":"removeProjectProgram","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/ProjectMemberRole/{id}":{"put":{"tags":["ProjectMemberRole"],"summary":"Aktualizacja ról członków projektu","operationId":"updateProjectMemberRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectMemberRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectMemberRoleResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ProjectMemberRole"],"summary":"Usuwanie ról członków projektu","operationId":"deleteProjectMemberRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ProjectInternationalDetail/{id}":{"get":{"tags":["ProjectInternationalDetail"],"summary":"Czytanie szczegółow projektu międzynarodowego","operationId":"getProjectInternationalDetail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectInternationalDetailResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ProjectInternationalDetail"],"summary":"Aktualizacja szczegółow projektu międzynarodowego","operationId":"updateProjectInternationalDetail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectInternationalDetailRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectInternationalDetailResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ProjectInternationalDetail"],"summary":"Usunięcie szczegółow projektu międzynarodowego, jeśli żadne projekt nie jest przypisany","operationId":"removeProjectInternationalDetail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/ProjectContractType/{id}":{"get":{"tags":["ProjectContractType"],"summary":"Czytanie typu umowy dla projektu","operationId":"getProjectContractType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectContractTypeResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ProjectContractType"],"summary":"Aktualizacja typu umowy dla projektu","operationId":"updateProjectContractType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectContractTypeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectContractTypeResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ProjectContractType"],"summary":"Usunięcie typu umowy dla projektu, jeśli żadne projekt nie jest przypisany","operationId":"removeProjectContractType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}":{"get":{"tags":["Project"],"summary":"Czytanie projektu z podanym id","operationId":"getProjectById","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja projektu","operationId":"updateProject","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/Team":{"get":{"tags":["Project"],"summary":"Czytanie informacji o zespole projektów","operationId":"getProjectTeam","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectTeamResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja informacji o zespole projektów","operationId":"updateProjectTeam","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectTeamRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectTeamResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/ProjectRelations":{"get":{"tags":["Project"],"summary":"Czytanie informacji o relacjach z innymi projektami","operationId":"getProjectRelations","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectRelationsResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja informacji o relacjach z innymi projektami","operationId":"updateProjectRelations","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectRelationsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectRelationsResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/Owners":{"get":{"tags":["Project"],"summary":"Czytanie informacji o właścicielach rekordu","operationId":"getProjectOwners","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RecordOwnersResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja informacji o właścicielach rekordu w kontekście uprawnień","operationId":"updateProjectOwners","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordOwnersRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/RecordOwnersResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/OtherInfo":{"get":{"tags":["Project"],"summary":"Dodatkowe informacje o projekcie","operationId":"getProjectOtherInfo","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectOtherInfoResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja dodatkowych informacji o projekcie","operationId":"upsertProjectOtherInfo","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectOtherInfoRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectOtherInfoResponse"}}}}},"security":[{"Authorization":[]}]},"post":{"tags":["ProjectMigration"],"summary":"Import słownika typów projektów projektu w zależności od parametrów importSourceName i importSourceId. Zwraca id rekordu","operationId":"importProjectOtherInfo","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectOtherInfoRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/Financing":{"get":{"tags":["Project"],"summary":"Czytanie informacji o finansowaniu projektów","operationId":"getProjectFinancing","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectFinancingResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja informacji o finansowaniu projektów","operationId":"updateProjectFinancing","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectFinancingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectFinancingResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/Discipline":{"get":{"tags":["Project"],"summary":"Lista dyscyplin naukowych oraz specjalizacji dla danego projektu","operationId":"getProjectDisciplines","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectDisciplineResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja dyscyplin naukowych oraz specjalizacji dla danego projektu","operationId":"upsertProjectDisciplines","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectDisciplineRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectDisciplineResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Project/{projectId}/Abstract":{"get":{"tags":["Project"],"summary":"Lista abstraktów dla danego projektu","operationId":"getProjectAbstracts","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectAbstractResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Project"],"summary":"Aktualizacja informacji o abstraktach projektów","operationId":"upsertProjectAbstract","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectAbstractRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProjectAbstractResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ProfilePublic/{id}/ScienceDiscipline":{"get":{"tags":["ProfileMigration"],"summary":"Czytanie listy powiązanych dyscyplin naukowych","operationId":"migrationGetProfileScienceDisciplines","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProfileScienceDisciplineResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ProfileMigration"],"summary":"Dodawanie dyscyplin naukowych do profilu","operationId":"migrationAddProfileScienceDiscipline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MigrationProfileScienceDisciplineRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ProfilePublic/{id}/ScienceDiscipline/{profileScienceDisciplineId}":{"put":{"tags":["ProfileMigration"],"summary":"Aktualizacja dyscyplin naukowych w profilu","operationId":"migrationUpdateProfileScienceDiscipline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileScienceDisciplineId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MigrationProfileScienceDisciplineRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}":{"get":{"tags":["Profile"],"summary":"Czytanie profilu z podanym id","operationId":"getProfileById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Profile"],"summary":"Aktualizacja profilu","operationId":"updateProfile","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Profile"],"summary":"Usuwanie profilu bez powiązanych relacji. Dla profilu z powiązaniami zostanie zwrócony wyjątek.","operationId":"removeProfile","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/ScienceDiscipline":{"get":{"tags":["Profile"],"summary":"Czytanie listy powiązanych dyscyplin naukowych","operationId":"getProfileScienceDisciplines","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProfileScienceDisciplineResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Profile"],"summary":"Dodawanie dyscyplin naukowych do profilu","operationId":"addProfileScienceDiscipline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/ScienceDisciplineDetails":{"get":{"tags":["Profile"],"summary":"Czytanie informacji powiązanych z dyscyplinami naukowymi","operationId":"getProfileScienceDisciplinesDetails","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineDetailsResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Profile"],"summary":"Aktualizacja informacji powiązanych z dyscyplinami naukowymi","operationId":"updateProfileScienceDisciplinesDetails","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineDetailsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineDetailsResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/ScienceDiscipline/{profileScienceDisciplineId}":{"put":{"tags":["Profile"],"summary":"Aktualizacja dyscyplin naukowych w profilu","operationId":"updateProfileScienceDiscipline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileScienceDisciplineId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileScienceDisciplineResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Profile"],"summary":"Usunięcie dyscypliny naukowej profilu","operationId":"removeProfileScienceDiscipline","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileScienceDisciplineId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/ProfileUnit/{profileUnitId}":{"put":{"tags":["Profile"],"summary":"Aktualizacja jednostki profilu","operationId":"updateProfileUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileUnitId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileUnitResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Profile"],"summary":"Usunięcie jednostki profilu","operationId":"removeProfileUnit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileUnitId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/ProfileDegree/{profileDegreeId}":{"put":{"tags":["Profile"],"summary":"Aktualizacja profilu stopnie i tytuły","operationId":"updateProfileDegree","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileDegreeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileDegreeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileDegreeResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Profile"],"summary":"Usunięcie profilu - stopnie i tytuły naukowe","operationId":"removeProfileDegree","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"profileDegreeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/ExternalLink/{externalLinkId}":{"put":{"tags":["Profile"],"summary":"Aktualizacja linków do aplikacji zewnętrznej","operationId":"updateExternalLink","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalLinkId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalLinkRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ExternalLinkResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Profile"],"summary":"Usunięcie linków do aplikacji zewnętrznych","operationId":"removeExternalLink","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"externalLinkId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/{id}/Article":{"get":{"tags":["Profile"],"summary":"Czytanie artykułu do profilu","operationId":"getProfileArticle","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Profile"],"summary":"Dodawanie/aktualizacja artykułu do profilu","operationId":"upsertProfileArticle","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Profile/ByPerson/{personId}/orcid":{"put":{"tags":["Profile"],"summary":"Aktualizacja orcid w profilu na podstawie personId","operationId":"updateOrcidByPersonId","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileOrcidRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/PhoneNumber/{id}":{"get":{"tags":["PhoneNumber"],"summary":"Czytanie informacji o numerze telefonu z podanym id","operationId":"getPhoneNumberById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["PhoneNumber"],"summary":"Aktualizacja numeru telefonu","operationId":"updatePhoneNumber","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PhoneNumberRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PhoneNumberResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["PhoneNumber"],"summary":"Usunięcie numeru telefonu","operationId":"removePhoneNumber","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"Authorization":[]}]}},"/api/v1/PermDepartmentPerson/{id}":{"put":{"tags":["PermDepartmentPerson"],"operationId":"updatePermDepartmentPerson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermDepartmentPersonRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermDepartmentPersonResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["PermDepartmentPerson"],"operationId":"deletePermDepartmentPerson","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"Authorization":[]}]}},"/api/v1/PermDepartmentCasRole/{id}":{"put":{"tags":["PermDepartmentCasRole"],"operationId":"updatePermDepartmentCasRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermDepartmentCasRoleRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermDepartmentCasRoleResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["PermDepartmentCasRole"],"operationId":"deletePermDepartmentCasRole","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}":{"get":{"tags":["Patent"],"summary":"Czytanie patentu z podanym id","operationId":"getPatentById","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Aktualizacja patentu","operationId":"updatePatent","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/PatentUnit":{"get":{"tags":["Patent"],"summary":"Czytanie listy jednostek powiązanych z patentem","operationId":"getPatentUnits","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentUnitResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Dodawanie jednostki do patentu","operationId":"addPatentUnit","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentUnitResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/PatentUnit/{patentUnitId}":{"put":{"tags":["Patent"],"summary":"Aktualizacja powiązania jednostki z patentem","operationId":"updatePatentUnit","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"patentUnitId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentUnitRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentUnitResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Patent"],"summary":"Usunięcie powiązania patentu z jednostką","operationId":"removePatentUnit","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"patentUnitId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/InstitutionalOwner":{"get":{"tags":["Patent"],"summary":"Czytanie listy współwłaścicieli instytucjonalnych patentu","operationId":"getPatentInstitutionalOwners","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentInstitutionalOwnerResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Dodawanie współwłaściciela instytucjonalnego patentu","operationId":"addPatentInstitutionalOwner","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentInstitutionalOwnerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentInstitutionalOwnerResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/InstitutionalOwner/{ownerId}":{"put":{"tags":["Patent"],"summary":"Aktualizacja współwłaściciela instytucjonalnego patentu","operationId":"updatePatentInstitutionalOwner","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ownerId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentInstitutionalOwnerRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentInstitutionalOwnerResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Patent"],"summary":"Usunięcie współwłaściciela instytucjonalnego patentu","operationId":"removePatentInstitutionalOwner","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ownerId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/Financing":{"get":{"tags":["Patent"],"summary":"Czytanie listy źródeł finansowania patentu","operationId":"getPatentFinancing","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentFinancingResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Dodawanie źródła finansowania patentu","operationId":"addPatentFinancing","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentFinancingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentFinancingResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/Financing/{financingId}":{"put":{"tags":["Patent"],"summary":"Aktualizacja źródła finansowania patentu","operationId":"updatePatentFinancing","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"financingId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentFinancingRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentFinancingResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Patent"],"summary":"Usunięcie źródła finansowania patentu","operationId":"removePatentFinancing","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"financingId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/ContactPerson":{"get":{"tags":["Patent"],"summary":"Czytanie listy osób kontaktowych patentu","operationId":"getPatentContactPersons","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentContactPersonResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Dodawanie osób kontaktowych do patentu","operationId":"addPatentContactPerson","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentContactPersonRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentContactPersonResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/ContactPerson/{contactPersonId}":{"put":{"tags":["Patent"],"summary":"Aktualizacja danych o autorze patentu","operationId":"updatePatentContactPerson","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"contactPersonId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentContactPersonRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentContactPersonResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Patent"],"summary":"Usunięcie osoby kontaktowej patentu","operationId":"removePatentContactPerson","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"contactPersonId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/Author":{"get":{"tags":["Patent"],"summary":"Czytanie listy autorów patentu","operationId":"getPatentAuthors","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PatentAuthorResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Dodawanie autorów patentu","operationId":"addPatentAuthor","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentAuthorRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentAuthorResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/Author/{authorId}":{"put":{"tags":["Patent"],"summary":"Aktualizacja danych o autorze patentu","operationId":"updatePatentAuthor","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"authorId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatentAuthorRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PatentAuthorResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Patent"],"summary":"Usunięcie autora patentu","operationId":"removePatentAuthor","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}},{"name":"authorId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Patent/{cfPatId}/Abstract":{"get":{"tags":["Patent"],"summary":"Lista abstraktów dla danego patentu","operationId":"getPatentAbstracts","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AbstractResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Patent"],"summary":"Dodawanie abstraktu do patentu","operationId":"addPatentAbstract","parameters":[{"name":"cfPatId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AbstractRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AbstractResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/MyUw/Person/{personId}/Profile":{"get":{"tags":["PersonProfile"],"operationId":"getPersonProfile","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["PersonProfile"],"summary":"Aktualizacja danych profilu osoby.","operationId":"updatePersonProfile","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonProfileRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}}},"security":[{"Authorization":[]}]},"post":{"tags":["PersonProfile"],"summary":"Dodawanie profilu osoby","operationId":"addPersonProfile","parameters":[{"name":"personId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfileResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/MonographPublisher/{id}":{"get":{"tags":["MonographPublisher"],"summary":"Czytanie wydawcy monografii","operationId":"getMonographPublisher","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MonographPublisherResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["MonographPublisher"],"summary":"Aktualizacja wydawcy monografii","operationId":"updateMonographPublisher","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MonographPublisherRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MonographPublisherResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["MonographPublisher"],"summary":"Usunięcie wydawcy monografii","operationId":"removeMonographPublisher","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/MobilityOption/{id}":{"get":{"tags":["MobilityOption"],"summary":"Czytanie informacji o opcji mobilności po id","operationId":"findMobilityOptionById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MobilityOptionResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["MobilityOption"],"summary":"Aktualizacja opcji mobilności","operationId":"updateMobilityOption_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityOptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MobilityOptionResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["MobilityOption"],"summary":"Usuwanie opcji mobilności","operationId":"removeMobilityOption_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/MobilityOption/{id}/ApplicationProcedure":{"get":{"tags":["MobilityOption"],"summary":"Czytanie procedury aplikacji dla opcji mobilności po id","operationId":"getApplicationProcedure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["MobilityOption"],"summary":"Ustawianie procedury aplikacji dla opcji mobilności po id","operationId":"setApplicationProcedure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"articleId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["MobilityOption"],"summary":"Usuwanie procedury aplikacji dla opcji mobilności po id","operationId":"removeApplicationProcedure","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Magazine/{id}":{"get":{"tags":["Magazine"],"summary":"Czytanie czasopisma","operationId":"getMagazine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MagazineResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Magazine"],"summary":"Aktualizacja czasopisma","operationId":"updateMagazine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MagazineRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MagazineResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Magazine"],"summary":"Usunięcie czasopisma","operationId":"removeMagazine","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/License/{licenseId}":{"get":{"tags":["License"],"summary":"Czytanie licencji z podanym id","operationId":"getLicenseById","parameters":[{"name":"licenseId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LicenseResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["License"],"summary":"Aktualizacja licencji","operationId":"updateLicense","parameters":[{"name":"licenseId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LicenseResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/LaboratoryType/{id}":{"get":{"tags":["LaboratoryType"],"summary":"Czytanie typu laboratoriów","operationId":"getLaboratoryType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryTypeResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["LaboratoryType"],"summary":"Aktualizacja typu laboratoriów","operationId":"updateLaboratoryType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LaboratoryTypeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryTypeResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["LaboratoryType"],"summary":"Usunięcie typu laboratoriów","operationId":"removeLaboratoryType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Laboratory/{id}":{"get":{"tags":["Laboratory"],"operationId":"getLaboratoryById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Laboratory"],"operationId":"updateLaboratory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LaboratoryRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Laboratory"],"operationId":"deleteLaboratory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"isRemoveCascade","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Laboratory/{id}/Types":{"get":{"tags":["Laboratory"],"operationId":"getLaboratoryTypes","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LaboratoryTypeLaboratoryResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Laboratory"],"operationId":"upsertLaboratoryTypes","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LaboratoryTypeLaboratoryRequest"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LaboratoryTypeLaboratoryResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Laboratory/{id}/Owners":{"get":{"tags":["Laboratory"],"operationId":"getLaboratoryOwners","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryOwnersResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Laboratory"],"operationId":"upsertLaboratoryOwners","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LaboratoryOwnersRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryOwnersResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Laboratory/{id}/Description":{"get":{"tags":["Laboratory"],"operationId":"getLaboratoryDescription","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryDescriptionResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Laboratory"],"operationId":"updateLaboratoryDescription","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LaboratoryDescriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LaboratoryDescriptionResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Laboratory/{id}/Assets":{"get":{"tags":["Laboratory"],"operationId":"getLaboratoryAssets","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LaboratoryAssetResponse"}}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Laboratory"],"operationId":"upsertLaboratoryAssets","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LaboratoryAssetRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LaboratoryAssetResponse"}}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ItemUsed/{id}":{"get":{"tags":["ItemUsed"],"summary":"Czytanie informacji o przedmiocie z podanym id","operationId":"getItemUsedById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItemUsedResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ItemUsed"],"summary":"Aktualizacja przedmiotu","operationId":"updateItemUsed","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemUsedRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItemUsedResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ItemUsed"],"summary":"Usunięcie przedmiotu","operationId":"removeItemUsed","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ItService/{itServiceId}":{"get":{"tags":["ItService"],"summary":"Czytanie rejestru systemu z podanym id","operationId":"getItServiceId","parameters":[{"name":"itServiceId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItServiceResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ItService"],"summary":"Aktualizacja rejestru systemu","operationId":"updateItService","parameters":[{"name":"itServiceId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItServiceRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ItServiceResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/ItService/{itServiceId}/Article":{"get":{"tags":["ItService"],"summary":"Czytanie artykułu do itService","operationId":"getItServiceArticle","parameters":[{"name":"itServiceId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["ItService"],"summary":"Dodawanie artykułu do itService","operationId":"upsertItServiceArticle","parameters":[{"name":"itServiceId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ArticlePreviewResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["ItService"],"summary":"Usunięcie artykułu dla itService","operationId":"removeItServiceArticle","parameters":[{"name":"itServiceId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/HousingOptions/{id}":{"get":{"tags":["HousingOptions"],"summary":"Czytanie informacji o opcjach mieszkaniowych z podanym id","operationId":"getHousingOptionsById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HousingOptionsResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["HousingOptions"],"summary":"Aktualizacja opcji mieszkaniowych","operationId":"updateHousingOptions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HousingOptionsRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HousingOptionsResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["HousingOptions"],"summary":"Usunięcie opcji mieszkaniowej razem ze zdjęciami","operationId":"removeHousingOptions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","enum":["100 CONTINUE","101 SWITCHING_PROTOCOLS","102 PROCESSING","103 EARLY_HINTS","103 CHECKPOINT","200 OK","201 CREATED","202 ACCEPTED","203 NON_AUTHORITATIVE_INFORMATION","204 NO_CONTENT","205 RESET_CONTENT","206 PARTIAL_CONTENT","207 MULTI_STATUS","208 ALREADY_REPORTED","226 IM_USED","300 MULTIPLE_CHOICES","301 MOVED_PERMANENTLY","302 FOUND","302 MOVED_TEMPORARILY","303 SEE_OTHER","304 NOT_MODIFIED","305 USE_PROXY","307 TEMPORARY_REDIRECT","308 PERMANENT_REDIRECT","400 BAD_REQUEST","401 UNAUTHORIZED","402 PAYMENT_REQUIRED","403 FORBIDDEN","404 NOT_FOUND","405 METHOD_NOT_ALLOWED","406 NOT_ACCEPTABLE","407 PROXY_AUTHENTICATION_REQUIRED","408 REQUEST_TIMEOUT","409 CONFLICT","410 GONE","411 LENGTH_REQUIRED","412 PRECONDITION_FAILED","413 PAYLOAD_TOO_LARGE","413 REQUEST_ENTITY_TOO_LARGE","414 URI_TOO_LONG","414 REQUEST_URI_TOO_LONG","415 UNSUPPORTED_MEDIA_TYPE","416 REQUESTED_RANGE_NOT_SATISFIABLE","417 EXPECTATION_FAILED","418 I_AM_A_TEAPOT","419 INSUFFICIENT_SPACE_ON_RESOURCE","420 METHOD_FAILURE","421 DESTINATION_LOCKED","422 UNPROCESSABLE_ENTITY","423 LOCKED","424 FAILED_DEPENDENCY","425 TOO_EARLY","426 UPGRADE_REQUIRED","428 PRECONDITION_REQUIRED","429 TOO_MANY_REQUESTS","431 REQUEST_HEADER_FIELDS_TOO_LARGE","451 UNAVAILABLE_FOR_LEGAL_REASONS","500 INTERNAL_SERVER_ERROR","501 NOT_IMPLEMENTED","502 BAD_GATEWAY","503 SERVICE_UNAVAILABLE","504 GATEWAY_TIMEOUT","505 HTTP_VERSION_NOT_SUPPORTED","506 VARIANT_ALSO_NEGOTIATES","507 INSUFFICIENT_STORAGE","508 LOOP_DETECTED","509 BANDWIDTH_LIMIT_EXCEEDED","510 NOT_EXTENDED","511 NETWORK_AUTHENTICATION_REQUIRED"]}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Giveaway/{id}":{"get":{"tags":["Giveaway"],"operationId":"getGiveawayById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GiveawayResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Giveaway"],"operationId":"updateGiveaway","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GiveawayRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GiveawayResponse"}}}}},"security":[{"Authorization":[]}]},"delete":{"tags":["Giveaway"],"operationId":"deleteGiveaway","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}},"security":[{"Authorization":[]}]}},"/api/v1/Giveaway/{id}/Permission":{"get":{"tags":["Giveaway"],"operationId":"getPermissions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionResponse"}}}}},"security":[{"Authorization":[]}]},"put":{"tags":["Giveaway"],"operationId":"updatePermissions","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionResponse"}}}}},"security":[{"Authorization":[]}]}},"/api/v1/Giveaway/{giveawayId}/Code/{codeId}":{"put":{"tags":["Giveaway"],"operationId":"setGiveawayCodeAsUsed","parameters":[{"name":"giveawayId","in":"path","required":true,"schema":{"type":"string"}},{"name":"personId","in":"query","required":true,"schema":{"type":"string"}},{"name":"codeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"
[...]
